Subject: [Sipping] Roaming Architecture for SIP vs Mobile IP

From: "Steve Langstaff" <[email-masked]>
Date: Tue, 24 Feb 2004 09:30:48 -0000

Hi All.
 
Sorry if this is a much asked and much answered question, but haven't
the basic problems being solved in a "Roaming Architecture for SIP",
i.e. allowing a SIP host to roam to foreign networks, already been
solved using Mobile IP? What else does "Roaming Architecture for SIP"
give me?

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Harry Behrens" <[email-masked]>
Date: Tue, 24 Feb 2004 11:27:08 +0100

Dear Steve,

I do not think one can always assume the existence of Mobile IP on SIP
UAs,
in fact I have yet to see one instance of such a combination - unless
custom-made.
While MIP is a good concept in theory, it is less than widely spread and
cannot be assumed as given in any standard application or IP stack.
Furthermore - depending on the exact configuration - MIP introduces
additional latencies, which is something to be avoided for VoIP.
You are however correct in stating that MIP is one approach to solving
roaming issues. I believe its most obvious application seems to be
WLAN/GSM/3GPP, i.e. layer 2 or layer 3 rather than layer 5-7.
The focus on this draft is to have a pure SIP-based approach,
specifically geared towards VoIP.
As you are probably aware, we are still far away from having completely
vertically integrated AAA infrastructures - though an NAI-based approach
could eventually lead there.

Regards,

	Harry

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]] 
> Im Auftrag von Steve Langstaff
> Gesendet: Dienstag, 24. Februar 2004 10:31
> An: [email-masked]
> Betreff: [Sipping] Roaming Architecture for SIP vs Mobile IP
> 
> 
> Hi All.
>  
> Sorry if this is a much asked and much answered question, but 
> haven't the basic problems being solved in a "Roaming 
> Architecture for SIP", i.e. allowing a SIP host to roam to 
> foreign networks, already been solved using Mobile IP? What 
> else does "Roaming Architecture for SIP" give me?
>  
> 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
>

---

From: Dean Willis <[email-masked]>
Date: Tue, 24 Feb 2004 13:08:54 -0600

> solved using Mobile IP? What else does "Roaming Architecture for SIP"

Multiple concurrent appearance with capability and preference matched 
request routing.

--
Dean